package com.ejie.ab63.model.plantillas;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * CamposPlantilla  
 * 
 *  
 */

public class CamposPlantilla implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idCampo;
	private String nombreCampo;
	private String selectCampo;
	private String nombreXml;
	private String descripcion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Integer idTipoCampo;
	private Integer idPlantilla;

	/**
	 * Method 'CamposPlantilla'.
	 */
	public CamposPlantilla() {
	}

	/**
	 * Method 'CamposPlantilla'.
	 * 
	 * @param idCampo
	 *            Integer
	 */
	public CamposPlantilla(Integer idCampo) {
		this.idCampo = idCampo;
	}

	/**
	 * Method 'CamposPlantilla'.
	 * 
	 * @param idCampo
	 *            Integer
	 * @param nombreCampo
	 *            String
	 * @param selectCampo
	 *            String
	 * @param nombreXml
	 *            String
	 * @param descripcion
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public CamposPlantilla(Integer idCampo, String nombreCampo, String selectCampo, String nombreXml,
			String descripcion, Date fechaRegistro, String usuarioRegistro, Integer idTipoCampo, Integer idPlantilla) {

		this.idCampo = idCampo;
		this.nombreCampo = nombreCampo;
		this.selectCampo = selectCampo;
		this.nombreXml = nombreXml;
		this.descripcion = descripcion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.idTipoCampo = idTipoCampo;
		this.idPlantilla = idPlantilla;

	}

	/**
	 * Method 'getIdCampo'.
	 *
	 * @return Integer
	 */

	public Integer getIdCampo() {
		return this.idCampo;
	}

	/**
	 * Method 'setIdCampo'.
	 *
	 * @param idCampo
	 *            Integer
	 * @return
	 */

	public void setIdCampo(Integer idCampo) {
		this.idCampo = idCampo;
	}

	/**
	 * Method 'getNombreCampo'.
	 *
	 * @return String
	 */

	public String getNombreCampo() {
		return this.nombreCampo;
	}

	/**
	 * Method 'setNombreCampo'.
	 *
	 * @param nombreCampo
	 *            String
	 * @return
	 */

	public void setNombreCampo(String nombreCampo) {
		this.nombreCampo = nombreCampo;
	}

	/**
	 * Method 'getSelectCampo'.
	 *
	 * @return String
	 */

	public String getSelectCampo() {
		return this.selectCampo;
	}

	/**
	 * Method 'setSelectCampo'.
	 *
	 * @param selectCampo
	 *            String
	 * @return
	 */

	public void setSelectCampo(String selectCampo) {
		this.selectCampo = selectCampo;
	}

	/**
	 * Method 'getNombreXml'.
	 *
	 * @return String
	 */

	public String getNombreXml() {
		return this.nombreXml;
	}

	/**
	 * Method 'setNombreXml'.
	 *
	 * @param nombreXml
	 *            String
	 * @return
	 */

	public void setNombreXml(String nombreXml) {
		this.nombreXml = nombreXml;
	}

	/**
	 * Method 'getDescripcion'.
	 *
	 * @return String
	 */

	public String getDescripcion() {
		return this.descripcion;
	}

	/**
	 * Method 'setDescripcion'.
	 *
	 * @param descripcion
	 *            String
	 * @return
	 */

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the idTipoCampo
	 */
	public Integer getIdTipoCampo() {
		return idTipoCampo;
	}

	/**
	 * @param idTipoCampo
	 *            the idTipoCampo to set
	 */
	public void setIdTipoCampo(Integer idTipoCampo) {
		this.idTipoCampo = idTipoCampo;
	}

	public Integer getIdPlantilla() {
		return idPlantilla;
	}

	public void setIdPlantilla(Integer idPlantilla) {
		this.idPlantilla = idPlantilla;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idCampo: ").append(this.idCampo).append(" ]");
		result.append(", [ nombreCampo: ").append(this.nombreCampo).append(" ]");
		result.append(", [ selectCampo: ").append(this.selectCampo).append(" ]");
		result.append(", [ nombreXml: ").append(this.nombreXml).append(" ]");
		result.append(", [ descripcion: ").append(this.descripcion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ idTipoCampo: ").append(this.idTipoCampo).append(" ]");
		result.append("}");
		return result.toString();
	}

}
